 body {
    position: relative;
    height: 100vh;
    margin: 0;
    background: #f8e8d9;

    --black: #00202a;
    --grey: #003444;
    --light-grey: #547d8f;
    --white: #f8f8f8;
    --blue: #2348cd;
    --dark-blue: #013344;
    --light-blue: #0ef3bd;
    --skin: #f77676;
    --dark-skin: #cc3c40;
    --light-skin: #f3af9f;
    --light-red: #eab1ae;
}

.person, .person::before, .person::after, .person *, .person *::after, .person *::before {
    position: absolute;
    content: '';
}
.person {
    top: 50%; left: 50%;
    width: 224px; height: 69px;
    background:
        /* line */
        linear-gradient(125deg, transparent 120px, var(--light-blue) 121px, var(--light-blue) 122px, transparent 123px) 0 21px no-repeat,
            /* fabric */
        conic-gradient(from 141deg at 75% 0%, var(--blue) 107deg, transparent 0);
    translate: -85px 60px;
    --animation-slow: 6s ease infinite;
    --animation-fast: 1.5s ease infinite;
}

.person::before {
    top: 68px;
    left: -1px;
    width: 198px;
    height: 51px;
    background: linear-gradient(196deg, var(--white) 54%, transparent 0);
    border-radius: 0 20px 30px 0;
    transform-origin: top left;
    rotate: -38deg;
    z-index: 1;
}

.person::after {
    top: 42px;
    left: 46px;
    width: 154px;
    height: 2px;
    background: var(--light-red);
    transform-origin: top left;
    rotate: -28deg;
    z-index: 1;
}

.person__neck {
    top: -94px;
    right: 126px;
    width: 104px;
    height: 87px;
    background: /* line */
        linear-gradient(120deg, transparent calc(55% - 1px), var(--dark-skin) 55%, var(--dark-skin) calc(55% + 1px), transparent calc(55% + 2px)) 0 9px / 100% 63px no-repeat,
            /* skin */
        conic-gradient(from 20deg at 13% 58%, var(--dark-skin) 8%, var(--skin) 8% 50%, transparent 0);;
    transform-origin: top right;
    rotate: -30deg;
    animation: personNeck var(--animation-fast);
}
@keyframes personNeck {
    0%, 100% {
        background-position: 0 9px, 0 0;
    }
    50% {
        background-position: 0 9px, 0 8px;
    }
}

/*hair*/
.person__neck::before {
    top: -177px; left: 38px;
    width: 110px; height: 110px;
    background: var(--dark-blue);
    border-radius: 50%;
    box-shadow: inset 5px 40px 0 -10px var(--blue);
    animation: personHair var(--animation-fast);
    animation-delay: 0.08s;
}
@keyframes personHair {
    0%, 100% { translate: 0 0; }
    50% { translate: -15px 8px; }
}

/*ear*/
.person__neck::after {
    top: -40px;
    left: 90px;
    width: 50px;
    aspect-ratio: 1/1;
    background:
        conic-gradient(from 180deg, var(--skin) 90deg, transparent 0),
        radial-gradient(transparent 8px, var(--dark-skin) 9px, var(--dark-skin) 10px, transparent 11px),
        linear-gradient(90deg, var(--skin) 59%, var(--light-skin) calc(59% + 1px));
    border-radius: 50%;
    rotate: 30deg;
}

/*head*/
.person__head {
    top: -114px; left: -17px;
    width: 150px; height: 106px;
    /* shadow */
    background: radial-gradient(circle, var(--skin) 70%, transparent 0) -11px 59px / 160px 160px no-repeat, var(--light-skin);
    border-radius: 60% 40% 20% 20% / 70% 70% 20% 20%;
    transform-origin: bottom right;
    animation: personHead var(--animation-fast);
}
@keyframes personHead {
    0%, 100% {
        rotate: -15deg;
        translate: -3px 3px;
    }
    50% {
        rotate: -20deg;
        translate: 0 0;}
}

/*hair*/
.person__head::before {
    top: 42px; left: 82px;
    width: 76px; height: 71px;
    background:
        /* line */
        linear-gradient(93deg, transparent 63px, var(--blue) 64px, var(--blue) 65px, transparent 66px) 0 0 / 100% 57px no-repeat,
            /* hair */
        conic-gradient(from 59deg at 2% 60%, var(--dark-blue) 63deg, transparent 64deg);
    border-radius: 0 0 17px 0;
    transform-origin: top left;
    rotate: -15deg;
}

/*smile*/
.person__head::after {
    top: 27px; left: 13px;
    width: 30px; height: 13px;
    border-radius: 0 0 60% 0 / 0 0 100% 0;
    border-color: var(--grey);
    border-width: 0 2px 2px 0;
    border-style: solid;
    transform-origin: top left;
    rotate: 45deg;
    animation: personSmile var(--animation-slow);
}
@keyframes personSmile {
    0%, 50%, 100% {
        border-radius: 0 0 60% 0 / 0 0 100% 0;
        scale: 1;
        translate: 0 0;
        rotate: 45deg;
    }
    55%, 95% {
        border-radius: 0 0 100% 0 / 0 0 100% 0;
        scale: 0.8;
        translate: -1px 8px;
        rotate: 35deg;
    }
}

/*brow*/
.person__face {
    top: 26px; left: 63px;
    width: 51px; height: 5px;
    background: var(--dark-blue);
    rotate: 45deg;
}

/*eye*/
.person__face::before {
    top: 11px; left: 0px;
    width: 25px; height: 12px;
    background: linear-gradient(90deg, var(--black) 50%, var(--white) 50%) 50% 0 / 200% 100%;
    border-radius: 0 0 99em 99em;
    animation: personEye var(--animation-slow);
}
@keyframes personEye {
    0%, 50%, 100% {
        background-position: 50% 0;
        border-radius: 0 0 99em 99em;
        scale: 1;
    }
    52%, 98% {
        background-position: 0 0;
        border-radius: 0;
        scale: 1 0.2;
    }
}

/*nose*/
.person__face::after {
    top: 16px; left: -34px;
    width: 24px; height: 36px;
    background: conic-gradient(from 170deg at 73% 0%, var(--dark-skin) 38deg, transparent 0);
    border-radius: 0 0 0 4px;
}
